<div class="Container">
	<div class="Form">
		<div class="Box">
			<p-card header="Login" [style]="{ 'padding': '10px' }">
		    <ng-template pTemplate="header">
		    </ng-template>
				<form (submit)="authenticate()">
					<div class="Input__Container">
						<label for="username">Username: </label>
						<input [(ngModel)]="username" type="text" name="username" id="username" pInputText required>
					</div>
					<div class="Input__Container">
						<label for="password">Password: </label>
						<input [(ngModel)]="password" type="password" name="password" id="password" pInputText required>
	    			<!--<p-password  ></p-password>-->
					</div>
					<div class="Alert" *ngIf="hasError">
						<p-message severity="error" [text]="error.error"></p-message>
					</div>
					<div class="Button__Container">
						<button pButton label="Sign in" [style]="{'margin-top': '20px', 'width': '100%'}"></button>
					</div>
					<div class="Input__Container">
						<p>If you don't have an account yet <a [routerLink]="['/signup']">signup</a> first.</p>
					</div>
				</form>
			</p-card>
		</div>
	</div>
</div>